function Q = QConstant(beta,mu,N)

%y = tfmConstant(r,i,N)

sizeQ = tfmConstant(N-1,N,N);
Q = sparse([],[],[],sizeQ,sizeQ);

Q(tfmConstant(0,1,N),tfmConstant(1,2,N)) = beta*(N-1)/(N-1);
Q(tfmConstant(0,1,N),tfmConstant(0,1,N)) = -beta*(N-1)/(N-1);

for i = 2:N-1
    Q = Q + sparse([tfmConstant(1,i,N):tfmConstant(i-1,i,N)],[tfmConstant(2,i+1,N):tfmConstant(i,i+1,N)],[(beta*(N-i)/(N-1))*ones(1,length([tfmConstant(1,i,N):tfmConstant(i-1,i,N)]))],sizeQ,sizeQ);
    Q = Q + sparse([tfmConstant(1,i,N):tfmConstant(i-1,i,N)],[tfmConstant(1,i+1,N):tfmConstant(i-1,i+1,N)],[(beta*(i-1)*(N-i)/(N-1))*ones(1,length([tfmConstant(1,i,N):tfmConstant(i-1,i,N)]))],sizeQ,sizeQ);
    Q = Q + sparse([tfmConstant(1,i,N):tfmConstant(i-1,i,N)],[tfmConstant(1,i,N):tfmConstant(i-1,i,N)],[(-beta*i*(N-i)/(N-1))*ones(1,length([tfmConstant(1,i,N):tfmConstant(i-1,i,N)]))],sizeQ,sizeQ);
end