function dsi = SIRdsiSLEnew(beta,gamma,N,k)

%tic
[J,wr1s,ini] = JSIRcsi(beta,gamma,N,[0 N],[0 N]);
JC = J;
lJC = length(JC);
JCv = sparse(ones(1,lJC),1:lJC,ones(1,lJC)) - sum(JC');
%toc

JCcost = JC(1:wr1s-1,1:wr1s-1);
lJCcost = length(JCcost);

%tic
%p0
outv0 = (speye(lJCcost)-JCcost)\JCv(1:lJCcost)';
dsi(1) = outv0(ini);

%p1
fullv0 = [outv0; zeros(lJC-length(outv0),1)];
pc1 = JC(wr1s:end,:)*fullv0 + JCv(wr1s:end)';
pvd = JC(1:wr1s-1,wr1s:end)*pc1;
outv = (speye(lJCcost)-JCcost)\pvd;
dsi(2) = outv(ini);

%p2 -- pk
for ki = 2:min(k,N-1)
    ki;
    fullv = [outv; pc1];
    pc1 = JC(wr1s:end,:)*fullv;
    pvd = JC(1:wr1s-1,wr1s:end)*pc1;
    outv = (speye(lJCcost)-JCcost)\pvd;
    dsi(ki+1) = outv(ini);
end
%toc