function dsi = dsiConstant(beta,mu,N,k)

Q = QConstant(beta,mu,N);

inivec = zeros(1,length(Q));
inivec(1) = 1;

outvec = mexpv(1/mu, Q', inivec);

dsi = zeros(min(N+1,k+1),1);
dsi(1) = outvec(1);

for i = 2:min(N,k)
    dsi(2:i) = dsi(2:i) + outvec(tfmConstant(1,i,N):tfmConstant(i-1,i,N));
end